/*
 *  Copyright (c) 2017 - present, Architecode Corporation. All Rights Reserved.
 *
 *  This source code is licensed under the MIT License.
 *  The LICENSE file can be found in the root directory.
 *
 *  @cix-lic
*/


"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("./lib/core");
const errors_1 = require("./lib/errors");
const services_1 = require("./lib/services");
const lib_1 = require("./lib");
exports.ArchDevLogger = {
    Core: {
        DefinedLoggerProperties: core_1.DefinedLoggerProperties,
        Loader: core_1.Loader,
        LoggerMetadata: core_1.LoggerMetadata,
        LoggerRegistry: core_1.LoggerRegistry,
        CommonLogLevels: core_1.CommonLogLevels,
        SysLogLevels: core_1.SysLogLevels,
    },
    Errors: {
        ArchDevLoggerError: errors_1.ArchDevLoggerError,
        UndefinedDefaultLoggerError: errors_1.UndefinedDefaultLoggerError,
    },
    Services: {
        LoggerService: services_1.LoggerService,
    },
    ExtensibleLogger: lib_1.ExtensibleLogger,
    GlobalLoggerService: lib_1.GlobalLoggerService,
};
Object.freeze(exports.ArchDevLogger);
